org.apache.any23.cli

## Class CrawlerTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.Any23OnlineTestBase
    - - org.apache.any23.cli.CrawlerTest

-     public class CrawlerTest
      extends Any23OnlineTestBase

  Test case for `Crawler` CLI.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger`

    - ### Fields inherited from class org.apache.any23.Any23OnlineTestBase

      `ONLINE_TEST_DISABLED_FLAG`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCLI()`

    - ### Methods inherited from class org.apache.any23.Any23OnlineTestBase

      `assumeOnlineAllowed`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### CrawlerTest

          public CrawlerTest()

  - ### Method Detail

    - #### testCLI

          public void testCLI()
                       throws IOException,
                              org.eclipse.rdf4j.rio.RDFHandlerException,
                              org.eclipse.rdf4j.rio.RDFParseException

      Throws:
        `IOException`
        `org.eclipse.rdf4j.rio.RDFHandlerException`
        `org.eclipse.rdf4j.rio.RDFParseException`

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.